Grammalecte  Ticket Change Details

Overview

Artifact ID: 3a3d93cc42987569e66ed2692de0f0595d47c7109c4e6273b1fca47dbf401945
Ticket: 86f306e05f8f3320a08e51322f05fd118ce54ee7
Le formateur de texte est cassé avec Python 3.8
User & Date: fredb 2019-12-01 20:14:08
Changes

  1. Change icomment to:

    Voici un extrait du .xsession-errors en relation avec mes tentatives d'utilisation de la console de grammalecte :

    Warning: failed to read path from javaldx Traceback (most recent call last): File "/usr/lib/libreoffice/share/extensions/grammalecte/pythonpath/helpers.py", line 19, in startConsole from apso_utils import console File "/usr/lib/libreoffice/program/uno.py", line 440, in _uno_import raise uno_import_exc File "/usr/lib/libreoffice/program/uno.py", line 362, in _uno_import return _builtin_import(name, *optargs, **kwargs) ImportError: No module named 'apso_utils' (or 'apso_utils.console' is unknown)

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last): File "/usr/lib/libreoffice/share/extensions/grammalecte/pythonpath/helpers.py", line 27, in startConsole subprocess.Popen(spPyInstallion + os.sep + "python") # Start Python interactive Shell File "/usr/lib/python3.8/subprocess.py", line 854, in __init__ self._execute_child(args, executable, preexec_fn, close_fds, File "/usr/lib/python3.8/subprocess.py", line 1702, in _execute_child raise child_exception_type(errno_num, err_msg, err_filename) FileNotFoundError: [Errno 2] Aucun fichier ou dossier de ce type: '/usr/lib/libreoffice/program/../program/python' Traceback (most recent call last): File "/usr/lib/libreoffice/share/extensions/grammalecte/pythonpath/helpers.py", line 19, in startConsole from apso_utils import console File "/usr/lib/libreoffice/program/uno.py", line 440, in _uno_import raise uno_import_exc File "/usr/lib/libreoffice/program/uno.py", line 362, in _uno_import return _builtin_import(name, *optargs, **kwargs) ImportError: No module named 'apso_utils' (or 'apso_utils.console' is unknown)

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last): File "/usr/lib/libreoffice/share/extensions/grammalecte/pythonpath/helpers.py", line 27, in startConsole subprocess.Popen(spPyInstallion + os.sep + "python") # Start Python interactive Shell File "/usr/lib/python3.8/subprocess.py", line 854, in __init__ self._execute_child(args, executable, preexec_fn, close_fds, File "/usr/lib/python3.8/subprocess.py", line 1702, in _execute_child raise child_exception_type(errno_num, err_msg, err_filename) FileNotFoundError: [Errno 2] Aucun fichier ou dossier de ce type: '/usr/lib/libreoffice/program/../program/python' Traceback (most recent call last): File "/usr/lib/libreoffice/share/extensions/grammalecte/pythonpath/helpers.py", line 19, in startConsole from apso_utils import console File "/usr/lib/libreoffice/program/uno.py", line 440, in _uno_import raise uno_import_exc File "/usr/lib/libreoffice/program/uno.py", line 362, in _uno_import return _builtin_import(name, *optargs, **kwargs) ImportError: No module named 'apso_utils' (or 'apso_utils.console' is unknown)

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last): File "/usr/lib/libreoffice/share/extensions/grammalecte/pythonpath/helpers.py", line 27, in startConsole subprocess.Popen(spPyInstallion + os.sep + "python") # Start Python interactive Shell File "/usr/lib/python3.8/subprocess.py", line 854, in __init__ self._execute_child(args, executable, preexec_fn, close_fds, File "/usr/lib/python3.8/subprocess.py", line 1702, in _execute_child raise child_exception_type(errno_num, err_msg, err_filename) FileNotFoundError: [Errno 2] Aucun fichier ou dossier de ce type: '/usr/lib/libreoffice/program/../program/python' Traceback (most recent call last): File "/usr/lib/libreoffice/share/extensions/grammalecte/pythonpath/helpers.py", line 19, in startConsole from apso_utils import console File "/usr/lib/libreoffice/program/uno.py", line 440, in _uno_import raise uno_import_exc File "/usr/lib/libreoffice/program/uno.py", line 362, in _uno_import return _builtin_import(name, *optargs, **kwargs) ImportError: No module named 'apso_utils' (or 'apso_utils.console' is unknown)

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last): File "/usr/lib/libreoffice/share/extensions/grammalecte/pythonpath/helpers.py", line 27, in startConsole subprocess.Popen(spPyInstallion + os.sep + "python") # Start Python interactive Shell File "/usr/lib/python3.8/subprocess.py", line 854, in __init__ self._execute_child(args, executable, preexec_fn, close_fds, File "/usr/lib/python3.8/subprocess.py", line 1702, in _execute_child raise child_exception_type(errno_num, err_msg, err_filename) FileNotFoundError: [Errno 2] Aucun fichier ou dossier de ce type: '/usr/lib/libreoffice/program/../program/python' Traceback (most recent call last): File "/usr/lib/libreoffice/share/extensions/grammalecte/pythonpath/helpers.py", line 19, in startConsole from apso_utils import console File "/usr/lib/libreoffice/program/uno.py", line 440, in _uno_import raise uno_import_exc File "/usr/lib/libreoffice/program/uno.py", line 362, in _uno_import return _builtin_import(name, *optargs, **kwargs) ImportError: No module named 'apso_utils' (or 'apso_utils.console' is unknown)

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last): File "/usr/lib/libreoffice/share/extensions/grammalecte/pythonpath/helpers.py", line 27, in startConsole subprocess.Popen(spPyInstallion + os.sep + "python") # Start Python interactive Shell File "/usr/lib/python3.8/subprocess.py", line 854, in __init__ self._execute_child(args, executable, preexec_fn, close_fds, File "/usr/lib/python3.8/subprocess.py", line 1702, in _execute_child raise child_exception_type(errno_num, err_msg, err_filename) FileNotFoundError: [Errno 2] Aucun fichier ou dossier de ce type: '/usr/lib/libreoffice/program/../program/python' Traceback (most recent call last): File "/usr/lib/libreoffice/share/extensions/grammalecte/pythonpath/helpers.py", line 19, in startConsole from apso_utils import console File "/usr/lib/libreoffice/program/uno.py", line 440, in _uno_import raise uno_import_exc File "/usr/lib/libreoffice/program/uno.py", line 362, in _uno_import return _builtin_import(name, *optargs, **kwargs) ImportError: No module named 'apso_utils' (or 'apso_utils.console' is unknown)

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last): File "/usr/lib/libreoffice/share/extensions/grammalecte/pythonpath/helpers.py", line 27, in startConsole subprocess.Popen(spPyInstallion + os.sep + "python") # Start Python interactive Shell File "/usr/lib/python3.8/subprocess.py", line 854, in __init__ self._execute_child(args, executable, preexec_fn, close_fds, File "/usr/lib/python3.8/subprocess.py", line 1702, in _execute_child raise child_exception_type(errno_num, err_msg, err_filename) FileNotFoundError: [Errno 2] Aucun fichier ou dossier de ce type: '/usr/lib/libreoffice/program/../program/python' Traceback (most recent call last): File "/usr/lib/libreoffice/share/extensions/grammalecte/pythonpath/helpers.py", line 19, in startConsole from apso_utils import console File "/usr/lib/libreoffice/program/uno.py", line 440, in _uno_import raise uno_import_exc File "/usr/lib/libreoffice/program/uno.py", line 362, in _uno_import return _builtin_import(name, *optargs, **kwargs) ImportError: No module named 'apso_utils' (or 'apso_utils.console' is unknown)

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last): File "/usr/lib/libreoffice/share/extensions/grammalecte/pythonpath/helpers.py", line 27, in startConsole subprocess.Popen(spPyInstallion + os.sep + "python") # Start Python interactive Shell File "/usr/lib/python3.8/subprocess.py", line 854, in __init__ self._execute_child(args, executable, preexec_fn, close_fds, File "/usr/lib/python3.8/subprocess.py", line 1702, in _execute_child raise child_exception_type(errno_num, err_msg, err_filename) FileNotFoundError: [Errno 2] Aucun fichier ou dossier de ce type: '/usr/lib/libreoffice/program/../program/python' Traceback (most recent call last): File "/usr/lib/libreoffice/share/extensions/grammalecte/pythonpath/helpers.py", line 19, in startConsole from apso_utils import console

  2. Change login to "fredb"
  3. Change mimetype to "text/x-fossil-plain"
  4. Change priority to "Immediate"
  5. Change resolution to "Open"
  6. Change subsystem to "Grammalecte_Core"